Blame tests/Makefile.in

Packit 5c3484
# Makefile.in generated by automake 1.15 from Makefile.am.
Packit 5c3484
# @configure_input@
Packit 5c3484
Packit 5c3484
# Copyright (C) 1994-2014 Free Software Foundation, Inc.
Packit 5c3484
Packit 5c3484
# This Makefile.in is free software; the Free Software Foundation
Packit 5c3484
# gives unlimited permission to copy and/or distribute it,
Packit 5c3484
# with or without modifications, as long as this notice is preserved.
Packit 5c3484
Packit 5c3484
# This program is distributed in the hope that it will be useful,
Packit 5c3484
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
Packit 5c3484
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
Packit 5c3484
# PARTICULAR PURPOSE.
Packit 5c3484
Packit 5c3484
@SET_MAKE@
Packit 5c3484
Packit 5c3484
# Copyright 2000-2004, 2013 Free Software Foundation, Inc.
Packit 5c3484
#
Packit 5c3484
# This file is part of the GNU MP Library test suite.
Packit 5c3484
#
Packit 5c3484
# The GNU MP Library test suite is free software; you can redistribute it
Packit 5c3484
# and/or modify it under the terms of the GNU General Public License as
Packit 5c3484
# published by the Free Software Foundation; either version 3 of the License,
Packit 5c3484
# or (at your option) any later version.
Packit 5c3484
#
Packit 5c3484
# The GNU MP Library test suite is distributed in the hope that it will be
Packit 5c3484
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
Packit 5c3484
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
Packit 5c3484
# Public License for more details.
Packit 5c3484
#
Packit 5c3484
# You should have received a copy of the GNU General Public License along with
Packit 5c3484
# the GNU MP Library test suite.  If not, see https://www.gnu.org/licenses/.
Packit 5c3484
Packit 5c3484
# Copyright 1996, 1998-2002 Free Software Foundation, Inc.
Packit 5c3484
#
Packit 5c3484
#  This file is part of the GNU MP Library.
Packit 5c3484
#
Packit 5c3484
#  The GNU MP Library is free software; you can redistribute it and/or modify
Packit 5c3484
#  it under the terms of either:
Packit 5c3484
#
Packit 5c3484
#    * the GNU Lesser General Public License as published by the Free
Packit 5c3484
#      Software Foundation; either version 3 of the License, or (at your
Packit 5c3484
#      option) any later version.
Packit 5c3484
#
Packit 5c3484
#  or
Packit 5c3484
#
Packit 5c3484
#    * the GNU General Public License as published by the Free Software
Packit 5c3484
#      Foundation; either version 2 of the License, or (at your option) any
Packit 5c3484
#      later version.
Packit 5c3484
#
Packit 5c3484
#  or both in parallel, as here.
Packit 5c3484
#
Packit 5c3484
#  The GNU MP Library is distributed in the hope that it will be useful, but
Packit 5c3484
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
Packit 5c3484
#  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
Packit 5c3484
#  for more details.
Packit 5c3484
#
Packit 5c3484
#  You should have received copies of the GNU General Public License and the
Packit 5c3484
#  GNU Lesser General Public License along with the GNU MP Library.  If not,
Packit 5c3484
#  see https://www.gnu.org/licenses/.
Packit 5c3484
VPATH = @srcdir@
Packit 5c3484
am__is_gnu_make = { \
Packit 5c3484
  if test -z '$(MAKELEVEL)'; then \
Packit 5c3484
    false; \
Packit 5c3484
  elif test -n '$(MAKE_HOST)'; then \
Packit 5c3484
    true; \
Packit 5c3484
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
Packit 5c3484
    true; \
Packit 5c3484
  else \
Packit 5c3484
    false; \
Packit 5c3484
  fi; \
Packit 5c3484
}
Packit 5c3484
am__make_running_with_option = \
Packit 5c3484
  case $${target_option-} in \
Packit 5c3484
      ?) ;; \
Packit 5c3484
      *) echo "am__make_running_with_option: internal error: invalid" \
Packit 5c3484
              "target option '$${target_option-}' specified" >&2; \
Packit 5c3484
         exit 1;; \
Packit 5c3484
  esac; \
Packit 5c3484
  has_opt=no; \
Packit 5c3484
  sane_makeflags=$$MAKEFLAGS; \
Packit 5c3484
  if $(am__is_gnu_make); then \
Packit 5c3484
    sane_makeflags=$$MFLAGS; \
Packit 5c3484
  else \
Packit 5c3484
    case $$MAKEFLAGS in \
Packit 5c3484
      *\\[\ \	]*) \
Packit 5c3484
        bs=\\; \
Packit 5c3484
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
Packit 5c3484
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
Packit 5c3484
    esac; \
Packit 5c3484
  fi; \
Packit 5c3484
  skip_next=no; \
Packit 5c3484
  strip_trailopt () \
Packit 5c3484
  { \
Packit 5c3484
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
Packit 5c3484
  }; \
Packit 5c3484
  for flg in $$sane_makeflags; do \
Packit 5c3484
    test $$skip_next = yes && { skip_next=no; continue; }; \
Packit 5c3484
    case $$flg in \
Packit 5c3484
      *=*|--*) continue;; \
Packit 5c3484
        -*I) strip_trailopt 'I'; skip_next=yes;; \
Packit 5c3484
      -*I?*) strip_trailopt 'I';; \
Packit 5c3484
        -*O) strip_trailopt 'O'; skip_next=yes;; \
Packit 5c3484
      -*O?*) strip_trailopt 'O';; \
Packit 5c3484
        -*l) strip_trailopt 'l'; skip_next=yes;; \
Packit 5c3484
      -*l?*) strip_trailopt 'l';; \
Packit 5c3484
      -[dEDm]) skip_next=yes;; \
Packit 5c3484
      -[JT]) skip_next=yes;; \
Packit 5c3484
    esac; \
Packit 5c3484
    case $$flg in \
Packit 5c3484
      *$$target_option*) has_opt=yes; break;; \
Packit 5c3484
    esac; \
Packit 5c3484
  done; \
Packit 5c3484
  test $$has_opt = yes
Packit 5c3484
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
Packit 5c3484
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
Packit 5c3484
pkgdatadir = $(datadir)/@PACKAGE@
Packit 5c3484
pkgincludedir = $(includedir)/@PACKAGE@
Packit 5c3484
pkglibdir = $(libdir)/@PACKAGE@
Packit 5c3484
pkglibexecdir = $(libexecdir)/@PACKAGE@
Packit 5c3484
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
Packit 5c3484
install_sh_DATA = $(install_sh) -c -m 644
Packit 5c3484
install_sh_PROGRAM = $(install_sh) -c
Packit 5c3484
install_sh_SCRIPT = $(install_sh) -c
Packit 5c3484
INSTALL_HEADER = $(INSTALL_DATA)
Packit 5c3484
transform = $(program_transform_name)
Packit 5c3484
NORMAL_INSTALL = :
Packit 5c3484
PRE_INSTALL = :
Packit 5c3484
POST_INSTALL = :
Packit 5c3484
NORMAL_UNINSTALL = :
Packit 5c3484
PRE_UNINSTALL = :
Packit 5c3484
POST_UNINSTALL = :
Packit 5c3484
build_triplet = @build@
Packit 5c3484
host_triplet = @host@
Packit 5c3484
check_PROGRAMS = t-bswap$(EXEEXT) t-constants$(EXEEXT) \
Packit 5c3484
	t-count_zeros$(EXEEXT) t-hightomask$(EXEEXT) \
Packit 5c3484
	t-modlinv$(EXEEXT) t-popc$(EXEEXT) t-parity$(EXEEXT) \
Packit 5c3484
	t-sub$(EXEEXT)
Packit 5c3484
subdir = tests
Packit 5c3484
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
Packit 5c3484
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
Packit 5c3484
	$(top_srcdir)/configure.ac
Packit 5c3484
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
Packit 5c3484
	$(ACLOCAL_M4)
Packit 5c3484
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
Packit 5c3484
mkinstalldirs = $(install_sh) -d
Packit 5c3484
CONFIG_HEADER = $(top_builddir)/config.h
Packit 5c3484
CONFIG_CLEAN_FILES =
Packit 5c3484
CONFIG_CLEAN_VPATH_FILES =
Packit 5c3484
am__DEPENDENCIES_1 =
Packit 5c3484
am_libtests_la_OBJECTS = memory.lo misc.lo refmpf.lo refmpn.lo \
Packit 5c3484
	refmpq.lo refmpz.lo spinner.lo trace.lo
Packit 5c3484
libtests_la_OBJECTS = $(am_libtests_la_OBJECTS)
Packit 5c3484
AM_V_lt = $(am__v_lt_@AM_V@)
Packit 5c3484
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
Packit 5c3484
am__v_lt_0 = --silent
Packit 5c3484
am__v_lt_1 = 
Packit 5c3484
t_bswap_SOURCES = t-bswap.c
Packit 5c3484
t_bswap_OBJECTS = t-bswap.$(OBJEXT)
Packit 5c3484
t_bswap_LDADD = $(LDADD)
Packit 5c3484
t_bswap_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
Packit 5c3484
t_constants_SOURCES = t-constants.c
Packit 5c3484
t_constants_OBJECTS = t-constants.$(OBJEXT)
Packit 5c3484
t_constants_LDADD = $(LDADD)
Packit 5c3484
t_constants_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
Packit 5c3484
t_count_zeros_SOURCES = t-count_zeros.c
Packit 5c3484
t_count_zeros_OBJECTS = t-count_zeros.$(OBJEXT)
Packit 5c3484
t_count_zeros_LDADD = $(LDADD)
Packit 5c3484
t_count_zeros_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
Packit 5c3484
t_hightomask_SOURCES = t-hightomask.c
Packit 5c3484
t_hightomask_OBJECTS = t-hightomask.$(OBJEXT)
Packit 5c3484
t_hightomask_LDADD = $(LDADD)
Packit 5c3484
t_hightomask_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
Packit 5c3484
t_modlinv_SOURCES = t-modlinv.c
Packit 5c3484
t_modlinv_OBJECTS = t-modlinv.$(OBJEXT)
Packit 5c3484
t_modlinv_LDADD = $(LDADD)
Packit 5c3484
t_modlinv_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
Packit 5c3484
t_parity_SOURCES = t-parity.c
Packit 5c3484
t_parity_OBJECTS = t-parity.$(OBJEXT)
Packit 5c3484
t_parity_LDADD = $(LDADD)
Packit 5c3484
t_parity_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
Packit 5c3484
t_popc_SOURCES = t-popc.c
Packit 5c3484
t_popc_OBJECTS = t-popc.$(OBJEXT)
Packit 5c3484
t_popc_LDADD = $(LDADD)
Packit 5c3484
t_popc_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
Packit 5c3484
t_sub_SOURCES = t-sub.c
Packit 5c3484
t_sub_OBJECTS = t-sub.$(OBJEXT)
Packit 5c3484
t_sub_LDADD = $(LDADD)
Packit 5c3484
t_sub_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
Packit 5c3484
AM_V_P = $(am__v_P_@AM_V@)
Packit 5c3484
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
Packit 5c3484
am__v_P_0 = false
Packit 5c3484
am__v_P_1 = :
Packit 5c3484
AM_V_GEN = $(am__v_GEN_@AM_V@)
Packit 5c3484
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
Packit 5c3484
am__v_GEN_0 = @echo "  GEN     " $@;
Packit 5c3484
am__v_GEN_1 = 
Packit 5c3484
AM_V_at = $(am__v_at_@AM_V@)
Packit 5c3484
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
Packit 5c3484
am__v_at_0 = @
Packit 5c3484
am__v_at_1 = 
Packit 5c3484
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
Packit 5c3484
depcomp =
Packit 5c3484
am__depfiles_maybe =
Packit 5c3484
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
Packit 5c3484
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
Packit 5c3484
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
Packit 5c3484
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
Packit 5c3484
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
Packit 5c3484
	$(AM_CFLAGS) $(CFLAGS)
Packit 5c3484
AM_V_CC = $(am__v_CC_@AM_V@)
Packit 5c3484
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
Packit 5c3484
am__v_CC_0 = @echo "  CC      " $@;
Packit 5c3484
am__v_CC_1 = 
Packit 5c3484
CCLD = $(CC)
Packit 5c3484
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
Packit 5c3484
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
Packit 5c3484
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
Packit 5c3484
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
Packit 5c3484
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
Packit 5c3484
am__v_CCLD_0 = @echo "  CCLD    " $@;
Packit 5c3484
am__v_CCLD_1 = 
Packit 5c3484
SOURCES = $(libtests_la_SOURCES) $(EXTRA_libtests_la_SOURCES) \
Packit 5c3484
	t-bswap.c t-constants.c t-count_zeros.c t-hightomask.c \
Packit 5c3484
	t-modlinv.c t-parity.c t-popc.c t-sub.c
Packit 5c3484
DIST_SOURCES = $(libtests_la_SOURCES) $(EXTRA_libtests_la_SOURCES) \
Packit 5c3484
	t-bswap.c t-constants.c t-count_zeros.c t-hightomask.c \
Packit 5c3484
	t-modlinv.c t-parity.c t-popc.c t-sub.c
Packit 5c3484
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
Packit 5c3484
	ctags-recursive dvi-recursive html-recursive info-recursive \
Packit 5c3484
	install-data-recursive install-dvi-recursive \
Packit 5c3484
	install-exec-recursive install-html-recursive \
Packit 5c3484
	install-info-recursive install-pdf-recursive \
Packit 5c3484
	install-ps-recursive install-recursive installcheck-recursive \
Packit 5c3484
	installdirs-recursive pdf-recursive ps-recursive \
Packit 5c3484
	tags-recursive uninstall-recursive
Packit 5c3484
am__can_run_installinfo = \
Packit 5c3484
  case $$AM_UPDATE_INFO_DIR in \
Packit 5c3484
    n|no|NO) false;; \
Packit 5c3484
    *) (install-info --version) >/dev/null 2>&1;; \
Packit 5c3484
  esac
Packit 5c3484
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
Packit 5c3484
  distclean-recursive maintainer-clean-recursive
Packit 5c3484
am__recursive_targets = \
Packit 5c3484
  $(RECURSIVE_TARGETS) \
Packit 5c3484
  $(RECURSIVE_CLEAN_TARGETS) \
Packit 5c3484
  $(am__extra_recursive_targets)
Packit 5c3484
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
Packit 5c3484
	check recheck distdir
Packit 5c3484
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
Packit 5c3484
# Read a list of newline-separated strings from the standard input,
Packit 5c3484
# and print each of them once, without duplicates.  Input order is
Packit 5c3484
# *not* preserved.
Packit 5c3484
am__uniquify_input = $(AWK) '\
Packit 5c3484
  BEGIN { nonempty = 0; } \
Packit 5c3484
  { items[$$0] = 1; nonempty = 1; } \
Packit 5c3484
  END { if (nonempty) { for (i in items) print i; }; } \
Packit 5c3484
'
Packit 5c3484
# Make sure the list of sources is unique.  This is necessary because,
Packit 5c3484
# e.g., the same source file might be shared among _SOURCES variables
Packit 5c3484
# for different programs/libraries.
Packit 5c3484
am__define_uniq_tagged_files = \
Packit 5c3484
  list='$(am__tagged_files)'; \
Packit 5c3484
  unique=`for i in $$list; do \
Packit 5c3484
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
Packit 5c3484
  done | $(am__uniquify_input)`
Packit 5c3484
ETAGS = etags
Packit 5c3484
CTAGS = ctags
Packit 5c3484
am__tty_colors_dummy = \
Packit 5c3484
  mgn= red= grn= lgn= blu= brg= std=; \
Packit 5c3484
  am__color_tests=no
Packit 5c3484
am__tty_colors = { \
Packit 5c3484
  $(am__tty_colors_dummy); \
Packit 5c3484
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
Packit 5c3484
    am__color_tests=no; \
Packit 5c3484
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
Packit 5c3484
    am__color_tests=yes; \
Packit 5c3484
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
Packit 5c3484
    am__color_tests=yes; \
Packit 5c3484
  fi; \
Packit 5c3484
  if test $$am__color_tests = yes; then \
Packit 5c3484
    red='?[0;31m'; \
Packit 5c3484
    grn='?[0;32m'; \
Packit 5c3484
    lgn='?[1;32m'; \
Packit 5c3484
    blu='?[1;34m'; \
Packit 5c3484
    mgn='?[0;35m'; \
Packit 5c3484
    brg='?[1m'; \
Packit 5c3484
    std='?[m'; \
Packit 5c3484
  fi; \
Packit 5c3484
}
Packit 5c3484
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
Packit 5c3484
am__vpath_adj = case $$p in \
Packit 5c3484
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
Packit 5c3484
    *) f=$$p;; \
Packit 5c3484
  esac;
Packit 5c3484
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
Packit 5c3484
am__install_max = 40
Packit 5c3484
am__nobase_strip_setup = \
Packit 5c3484
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
Packit 5c3484
am__nobase_strip = \
Packit 5c3484
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
Packit 5c3484
am__nobase_list = $(am__nobase_strip_setup); \
Packit 5c3484
  for p in $$list; do echo "$$p $$p"; done | \
Packit 5c3484
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
Packit 5c3484
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
Packit 5c3484
    if (++n[$$2] == $(am__install_max)) \
Packit 5c3484
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
Packit 5c3484
    END { for (dir in files) print dir, files[dir] }'
Packit 5c3484
am__base_list = \
Packit 5c3484
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
Packit 5c3484
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
Packit 5c3484
am__uninstall_files_from_dir = { \
Packit 5c3484
  test -z "$$files" \
Packit 5c3484
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
Packit 5c3484
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
Packit 5c3484
         $(am__cd) "$$dir" && rm -f $$files; }; \
Packit 5c3484
  }
Packit 5c3484
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
Packit 5c3484
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
Packit 5c3484
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
Packit 5c3484
# A command that, given a newline-separated list of test names on the
Packit 5c3484
# standard input, print the name of the tests that are to be re-run
Packit 5c3484
# upon "make recheck".
Packit 5c3484
am__list_recheck_tests = $(AWK) '{ \
Packit 5c3484
  recheck = 1; \
Packit 5c3484
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
Packit 5c3484
    { \
Packit 5c3484
      if (rc < 0) \
Packit 5c3484
        { \
Packit 5c3484
          if ((getline line2 < ($$0 ".log")) < 0) \
Packit 5c3484
	    recheck = 0; \
Packit 5c3484
          break; \
Packit 5c3484
        } \
Packit 5c3484
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
Packit 5c3484
        { \
Packit 5c3484
          recheck = 0; \
Packit 5c3484
          break; \
Packit 5c3484
        } \
Packit 5c3484
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
Packit 5c3484
        { \
Packit 5c3484
          break; \
Packit 5c3484
        } \
Packit 5c3484
    }; \
Packit 5c3484
  if (recheck) \
Packit 5c3484
    print $$0; \
Packit 5c3484
  close ($$0 ".trs"); \
Packit 5c3484
  close ($$0 ".log"); \
Packit 5c3484
}'
Packit 5c3484
# A command that, given a newline-separated list of test names on the
Packit 5c3484
# standard input, create the global log from their .trs and .log files.
Packit 5c3484
am__create_global_log = $(AWK) ' \
Packit 5c3484
function fatal(msg) \
Packit 5c3484
{ \
Packit 5c3484
  print "fatal: making $@: " msg | "cat >&2;; \
Packit 5c3484
  exit 1; \
Packit 5c3484
} \
Packit 5c3484
function rst_section(header) \
Packit 5c3484
{ \
Packit 5c3484
  print header; \
Packit 5c3484
  len = length(header); \
Packit 5c3484
  for (i = 1; i <= len; i = i + 1) \
Packit 5c3484
    printf "="; \
Packit 5c3484
  printf "\n\n"; \
Packit 5c3484
} \
Packit 5c3484
{ \
Packit 5c3484
  copy_in_global_log = 1; \
Packit 5c3484
  global_test_result = "RUN"; \
Packit 5c3484
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
Packit 5c3484
    { \
Packit 5c3484
      if (rc < 0) \
Packit 5c3484
         fatal("failed to read from " $$0 ".trs"); \
Packit 5c3484
      if (line ~ /$(am__global_test_result_rx)/) \
Packit 5c3484
        { \
Packit 5c3484
          sub("$(am__global_test_result_rx)", "", line); \
Packit 5c3484
          sub("[ 	]*$$", "", line); \
Packit 5c3484
          global_test_result = line; \
Packit 5c3484
        } \
Packit 5c3484
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
Packit 5c3484
        copy_in_global_log = 0; \
Packit 5c3484
    }; \
Packit 5c3484
  if (copy_in_global_log) \
Packit 5c3484
    { \
Packit 5c3484
      rst_section(global_test_result ": " $$0); \
Packit 5c3484
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
Packit 5c3484
      { \
Packit 5c3484
        if (rc < 0) \
Packit 5c3484
          fatal("failed to read from " $$0 ".log"); \
Packit 5c3484
        print line; \
Packit 5c3484
      }; \
Packit 5c3484
      printf "\n"; \
Packit 5c3484
    }; \
Packit 5c3484
  close ($$0 ".trs"); \
Packit 5c3484
  close ($$0 ".log"); \
Packit 5c3484
}'
Packit 5c3484
# Restructured Text title.
Packit 5c3484
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
Packit 5c3484
# Solaris 10 'make', and several other traditional 'make' implementations,
Packit 5c3484
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
Packit 5c3484
# by disabling -e (using the XSI extension "set +e") if it's set.
Packit 5c3484
am__sh_e_setup = case $$- in *e*) set +e;; esac
Packit 5c3484
# Default flags passed to test drivers.
Packit 5c3484
am__common_driver_flags = \
Packit 5c3484
  --color-tests "$$am__color_tests" \
Packit 5c3484
  --enable-hard-errors "$$am__enable_hard_errors" \
Packit 5c3484
  --expect-failure "$$am__expect_failure"
Packit 5c3484
# To be inserted before the command running the test.  Creates the
Packit 5c3484
# directory for the log if needed.  Stores in $dir the directory
Packit 5c3484
# containing $f, in $tst the test, in $log the log.  Executes the
Packit 5c3484
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
Packit 5c3484
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
Packit 5c3484
# will run the test scripts (or their associated LOG_COMPILER, if
Packit 5c3484
# thy have one).
Packit 5c3484
am__check_pre = \
Packit 5c3484
$(am__sh_e_setup);					\
Packit 5c3484
$(am__vpath_adj_setup) $(am__vpath_adj)			\
Packit 5c3484
$(am__tty_colors);					\
Packit 5c3484
srcdir=$(srcdir); export srcdir;			\
Packit 5c3484
case "$@" in						\
Packit 5c3484
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
Packit 5c3484
    *) am__odir=.;; 					\
Packit 5c3484
esac;							\
Packit 5c3484
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
Packit 5c3484
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
Packit 5c3484
if test -f "./$$f"; then dir=./;			\
Packit 5c3484
elif test -f "$$f"; then dir=;				\
Packit 5c3484
else dir="$(srcdir)/"; fi;				\
Packit 5c3484
tst=$$dir$$f; log='$@'; 				\
Packit 5c3484
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
Packit 5c3484
  am__enable_hard_errors=no; 				\
Packit 5c3484
else							\
Packit 5c3484
  am__enable_hard_errors=yes; 				\
Packit 5c3484
fi; 							\
Packit 5c3484
case " $(XFAIL_TESTS) " in				\
Packit 5c3484
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
Packit 5c3484
    am__expect_failure=yes;;				\
Packit 5c3484
  *)							\
Packit 5c3484
    am__expect_failure=no;;				\
Packit 5c3484
esac; 							\
Packit 5c3484
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
Packit 5c3484
# A shell command to get the names of the tests scripts with any registered
Packit 5c3484
# extension removed (i.e., equivalently, the names of the test logs, with
Packit 5c3484
# the '.log' extension removed).  The result is saved in the shell variable
Packit 5c3484
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
Packit 5c3484
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
Packit 5c3484
# since that might cause problem with VPATH rewrites for suffix-less tests.
Packit 5c3484
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
Packit 5c3484
am__set_TESTS_bases = \
Packit 5c3484
  bases='$(TEST_LOGS)'; \
Packit 5c3484
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
Packit 5c3484
  bases=`echo $$bases`
Packit 5c3484
RECHECK_LOGS = $(TEST_LOGS)
Packit 5c3484
TEST_SUITE_LOG = test-suite.log
Packit 5c3484
TEST_EXTENSIONS = @EXEEXT@ .test
Packit 5c3484
LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
Packit 5c3484
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
Packit 5c3484
am__set_b = \
Packit 5c3484
  case '$@' in \
Packit 5c3484
    */*) \
Packit 5c3484
      case '$*' in \
Packit 5c3484
        */*) b='$*';; \
Packit 5c3484
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
Packit 5c3484
       esac;; \
Packit 5c3484
    *) \
Packit 5c3484
      b='$*';; \
Packit 5c3484
  esac
Packit 5c3484
am__test_logs1 = $(TESTS:=.log)
Packit 5c3484
am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
Packit 5c3484
TEST_LOGS = $(am__test_logs2:.test.log=.log)
Packit 5c3484
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
Packit 5c3484
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
Packit 5c3484
	$(TEST_LOG_FLAGS)
Packit 5c3484
DIST_SUBDIRS = $(SUBDIRS)
Packit 5c3484
am__DIST_COMMON = $(srcdir)/../mpn/Makeasm.am $(srcdir)/Makefile.in \
Packit 5c3484
	$(top_srcdir)/test-driver
Packit 5c3484
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
Packit 5c3484
am__relativize = \
Packit 5c3484
  dir0=`pwd`; \
Packit 5c3484
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
Packit 5c3484
  sed_rest='s,^[^/]*/*,,'; \
Packit 5c3484
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
Packit 5c3484
  sed_butlast='s,/*[^/]*$$,,'; \
Packit 5c3484
  while test -n "$$dir1"; do \
Packit 5c3484
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
Packit 5c3484
    if test "$$first" != "."; then \
Packit 5c3484
      if test "$$first" = ".."; then \
Packit 5c3484
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
Packit 5c3484
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
Packit 5c3484
      else \
Packit 5c3484
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
Packit 5c3484
        if test "$$first2" = "$$first"; then \
Packit 5c3484
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
Packit 5c3484
        else \
Packit 5c3484
          dir2="../$$dir2"; \
Packit 5c3484
        fi; \
Packit 5c3484
        dir0="$$dir0"/"$$first"; \
Packit 5c3484
      fi; \
Packit 5c3484
    fi; \
Packit 5c3484
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
Packit 5c3484
  done; \
Packit 5c3484
  reldir="$$dir2"
Packit 5c3484
ABI = @ABI@
Packit 5c3484
ACLOCAL = @ACLOCAL@
Packit 5c3484
AMTAR = @AMTAR@
Packit 5c3484
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
Packit 5c3484
AR = @AR@
Packit 5c3484
AS = @AS@
Packit 5c3484
ASMFLAGS = @ASMFLAGS@
Packit 5c3484
AUTOCONF = @AUTOCONF@
Packit 5c3484
AUTOHEADER = @AUTOHEADER@
Packit 5c3484
AUTOMAKE = @AUTOMAKE@
Packit 5c3484
AWK = @AWK@
Packit 5c3484
CALLING_CONVENTIONS_OBJS = @CALLING_CONVENTIONS_OBJS@
Packit 5c3484
CC = @CC@
Packit 5c3484
CCAS = @CCAS@
Packit 5c3484
CC_FOR_BUILD = @CC_FOR_BUILD@
Packit 5c3484
CFLAGS = @CFLAGS@
Packit 5c3484
CPP = @CPP@
Packit 5c3484
CPPFLAGS = @CPPFLAGS@
Packit 5c3484
CPP_FOR_BUILD = @CPP_FOR_BUILD@
Packit 5c3484
CXX = @CXX@
Packit 5c3484
CXXCPP = @CXXCPP@
Packit 5c3484
CXXFLAGS = @CXXFLAGS@
Packit 5c3484
CYGPATH_W = @CYGPATH_W@
Packit 5c3484
DEFN_LONG_LONG_LIMB = @DEFN_LONG_LONG_LIMB@
Packit 5c3484
DEFS = @DEFS@
Packit 5c3484
DLLTOOL = @DLLTOOL@
Packit 5c3484
DSYMUTIL = @DSYMUTIL@
Packit 5c3484
DUMPBIN = @DUMPBIN@
Packit 5c3484
ECHO_C = @ECHO_C@
Packit 5c3484
ECHO_N = @ECHO_N@
Packit 5c3484
ECHO_T = @ECHO_T@
Packit 5c3484
EGREP = @EGREP@
Packit 5c3484
EXEEXT = @EXEEXT@
Packit 5c3484
EXEEXT_FOR_BUILD = @EXEEXT_FOR_BUILD@
Packit 5c3484
FGREP = @FGREP@
Packit 5c3484
GMP_LDFLAGS = @GMP_LDFLAGS@
Packit 5c3484
GMP_LIMB_BITS = @GMP_LIMB_BITS@
Packit 5c3484
GMP_NAIL_BITS = @GMP_NAIL_BITS@
Packit 5c3484
GREP = @GREP@
Packit 5c3484
HAVE_CLOCK_01 = @HAVE_CLOCK_01@
Packit 5c3484
HAVE_CPUTIME_01 = @HAVE_CPUTIME_01@
Packit 5c3484
HAVE_GETRUSAGE_01 = @HAVE_GETRUSAGE_01@
Packit 5c3484
HAVE_GETTIMEOFDAY_01 = @HAVE_GETTIMEOFDAY_01@
Packit 5c3484
HAVE_HOST_CPU_FAMILY_power = @HAVE_HOST_CPU_FAMILY_power@
Packit 5c3484
HAVE_HOST_CPU_FAMILY_powerpc = @HAVE_HOST_CPU_FAMILY_powerpc@
Packit 5c3484
HAVE_SIGACTION_01 = @HAVE_SIGACTION_01@
Packit 5c3484
HAVE_SIGALTSTACK_01 = @HAVE_SIGALTSTACK_01@
Packit 5c3484
HAVE_SIGSTACK_01 = @HAVE_SIGSTACK_01@
Packit 5c3484
HAVE_STACK_T_01 = @HAVE_STACK_T_01@
Packit 5c3484
HAVE_SYS_RESOURCE_H_01 = @HAVE_SYS_RESOURCE_H_01@
Packit 5c3484
INSTALL = @INSTALL@
Packit 5c3484
INSTALL_DATA = @INSTALL_DATA@
Packit 5c3484
INSTALL_PROGRAM = @INSTALL_PROGRAM@
Packit 5c3484
INSTALL_SCRIPT = @INSTALL_SCRIPT@
Packit 5c3484
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
Packit 5c3484
LD = @LD@
Packit 5c3484
LDFLAGS = @LDFLAGS@
Packit 5c3484
LEX = @LEX@
Packit 5c3484
LEXLIB = @LEXLIB@
Packit 5c3484
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
Packit 5c3484
LIBCURSES = @LIBCURSES@
Packit 5c3484
LIBGMPXX_LDFLAGS = @LIBGMPXX_LDFLAGS@
Packit 5c3484
LIBGMP_DLL = @LIBGMP_DLL@
Packit 5c3484
LIBGMP_LDFLAGS = @LIBGMP_LDFLAGS@
Packit 5c3484
LIBM = @LIBM@
Packit 5c3484
LIBM_FOR_BUILD = @LIBM_FOR_BUILD@
Packit 5c3484
LIBOBJS = @LIBOBJS@
Packit 5c3484
LIBREADLINE = @LIBREADLINE@
Packit 5c3484
LIBS = @LIBS@
Packit 5c3484
LIBTOOL = @LIBTOOL@
Packit 5c3484
LIPO = @LIPO@
Packit 5c3484
LN_S = @LN_S@
Packit 5c3484
LTLIBOBJS = @LTLIBOBJS@
Packit 5c3484
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
Packit 5c3484
M4 = @M4@
Packit 5c3484
MAINT = @MAINT@
Packit 5c3484
MAKEINFO = @MAKEINFO@
Packit 5c3484
MANIFEST_TOOL = @MANIFEST_TOOL@
Packit 5c3484
MKDIR_P = @MKDIR_P@
Packit 5c3484
NM = @NM@
Packit 5c3484
NMEDIT = @NMEDIT@
Packit 5c3484
OBJDUMP = @OBJDUMP@
Packit 5c3484
OBJEXT = @OBJEXT@
Packit 5c3484
OTOOL = @OTOOL@
Packit 5c3484
OTOOL64 = @OTOOL64@
Packit 5c3484
PACKAGE = @PACKAGE@
Packit 5c3484
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
Packit 5c3484
PACKAGE_NAME = @PACKAGE_NAME@
Packit 5c3484
PACKAGE_STRING = @PACKAGE_STRING@
Packit 5c3484
PACKAGE_TARNAME = @PACKAGE_TARNAME@
Packit 5c3484
PACKAGE_URL = @PACKAGE_URL@
Packit 5c3484
PACKAGE_VERSION = @PACKAGE_VERSION@
Packit 5c3484
PATH_SEPARATOR = @PATH_SEPARATOR@
Packit 5c3484
RANLIB = @RANLIB@
Packit 5c3484
SED = @SED@
Packit 5c3484
SET_MAKE = @SET_MAKE@
Packit 5c3484
SHELL = @SHELL@
Packit 5c3484
SPEED_CYCLECOUNTER_OBJ = @SPEED_CYCLECOUNTER_OBJ@
Packit 5c3484
STRIP = @STRIP@
Packit 5c3484
TAL_OBJECT = @TAL_OBJECT@
Packit 5c3484
TUNE_LIBS = @TUNE_LIBS@
Packit 5c3484
TUNE_SQR_OBJ = @TUNE_SQR_OBJ@
Packit 5c3484
U_FOR_BUILD = @U_FOR_BUILD@
Packit 5c3484
VERSION = @VERSION@
Packit 5c3484
WITH_READLINE_01 = @WITH_READLINE_01@
Packit 5c3484
YACC = @YACC@
Packit 5c3484
YFLAGS = @YFLAGS@
Packit 5c3484
abs_builddir = @abs_builddir@
Packit 5c3484
abs_srcdir = @abs_srcdir@
Packit 5c3484
abs_top_builddir = @abs_top_builddir@
Packit 5c3484
abs_top_srcdir = @abs_top_srcdir@
Packit 5c3484
ac_ct_AR = @ac_ct_AR@
Packit 5c3484
ac_ct_CC = @ac_ct_CC@
Packit 5c3484
ac_ct_CXX = @ac_ct_CXX@
Packit 5c3484
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
Packit 5c3484
am__leading_dot = @am__leading_dot@
Packit 5c3484
am__tar = @am__tar@
Packit 5c3484
am__untar = @am__untar@
Packit 5c3484
bindir = @bindir@
Packit 5c3484
build = @build@
Packit 5c3484
build_alias = @build_alias@
Packit 5c3484
build_cpu = @build_cpu@
Packit 5c3484
build_os = @build_os@
Packit 5c3484
build_vendor = @build_vendor@
Packit 5c3484
builddir = @builddir@
Packit 5c3484
datadir = @datadir@
Packit 5c3484
datarootdir = @datarootdir@
Packit 5c3484
docdir = @docdir@
Packit 5c3484
dvidir = @dvidir@
Packit 5c3484
exec_prefix = @exec_prefix@
Packit 5c3484
gmp_srclinks = @gmp_srclinks@
Packit 5c3484
host = @host@
Packit 5c3484
host_alias = @host_alias@
Packit 5c3484
host_cpu = @host_cpu@
Packit 5c3484
host_os = @host_os@
Packit 5c3484
host_vendor = @host_vendor@
Packit 5c3484
htmldir = @htmldir@
Packit 5c3484
includedir = @includedir@
Packit 5c3484
infodir = @infodir@
Packit 5c3484
install_sh = @install_sh@
Packit 5c3484
libdir = @libdir@
Packit 5c3484
libexecdir = @libexecdir@
Packit 5c3484
localedir = @localedir@
Packit 5c3484
localstatedir = @localstatedir@
Packit 5c3484
mandir = @mandir@
Packit 5c3484
mkdir_p = @mkdir_p@
Packit 5c3484
mpn_objects = @mpn_objects@
Packit 5c3484
mpn_objs_in_libgmp = @mpn_objs_in_libgmp@
Packit 5c3484
oldincludedir = @oldincludedir@
Packit 5c3484
pdfdir = @pdfdir@
Packit 5c3484
prefix = @prefix@
Packit 5c3484
program_transform_name = @program_transform_name@
Packit 5c3484
psdir = @psdir@
Packit 5c3484
sbindir = @sbindir@
Packit 5c3484
sharedstatedir = @sharedstatedir@
Packit 5c3484
srcdir = @srcdir@
Packit 5c3484
sysconfdir = @sysconfdir@
Packit 5c3484
target_alias = @target_alias@
Packit 5c3484
top_build_prefix = @top_build_prefix@
Packit 5c3484
top_builddir = @top_builddir@
Packit 5c3484
top_srcdir = @top_srcdir@
Packit 5c3484
SUBDIRS = . devel mpn mpz mpq mpf rand misc cxx
Packit 5c3484
Packit 5c3484
# COMPILE minus CC.
Packit 5c3484
#
Packit 5c3484
COMPILE_FLAGS = $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
Packit 5c3484
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) $(ASMFLAGS)
Packit 5c3484
Packit 5c3484
Packit 5c3484
# Flags used for preprocessing (in ansi2knr rules).
Packit 5c3484
#
Packit 5c3484
PREPROCESS_FLAGS = $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
Packit 5c3484
	$(CPPFLAGS)
Packit 5c3484
Packit 5c3484
Packit 5c3484
# Recent versions of automake (1.5 and up for instance) append automake
Packit 5c3484
# generated suffixes to this $(SUFFIXES) list.  This is essential for us,
Packit 5c3484
# since .c must come after .s, .S and .asm.  If .c is before .s, for
Packit 5c3484
# instance, then in the mpn directory "make" will see add_n.c mentioned in
Packit 5c3484
# an explicit rule (the ansi2knr stuff) and decide it must have add_n.c,
Packit 5c3484
# even if add_n.c doesn't exist but add_n.s does.  See GNU make
Packit 5c3484
# documentation "(make)Implicit Rule Search", part 5c.
Packit 5c3484
#
Packit 5c3484
# On IRIX 6 native make this doesn't work properly though.  Somehow .c
Packit 5c3484
# remains ahead of .s, perhaps because .c.s is a builtin rule.  .asm works
Packit 5c3484
# fine though, and mpn/mips3 uses this.
Packit 5c3484
#
Packit 5c3484
SUFFIXES = .s .S .asm
Packit 5c3484
Packit 5c3484
# can be overridden during development, eg. "make RM_TMP=: mul_1.lo"
Packit 5c3484
RM_TMP = rm -f
Packit 5c3484
AM_CPPFLAGS = -I$(top_srcdir)
Packit 5c3484
LDADD = libtests.la $(top_builddir)/libgmp.la
Packit 5c3484
check_LTLIBRARIES = libtests.la
Packit 5c3484
EXTRA_libtests_la_SOURCES = amd64call.asm amd64check.c x86call.asm x86check.c \
Packit 5c3484
    arm32call.asm arm32check.c
Packit 5c3484
Packit 5c3484
libtests_la_SOURCES = tests.h \
Packit 5c3484
  memory.c misc.c refmpf.c refmpn.c refmpq.c refmpz.c spinner.c trace.c
Packit 5c3484
Packit 5c3484
libtests_la_DEPENDENCIES = @CALLING_CONVENTIONS_OBJS@
Packit 5c3484
libtests_la_LIBADD = $(libtests_la_DEPENDENCIES) $(top_builddir)/libgmp.la
Packit 5c3484
TESTS = $(check_PROGRAMS)
Packit 5c3484
all: all-recursive
Packit 5c3484
Packit 5c3484
.SUFFIXES:
Packit 5c3484
.SUFFIXES: .s .S .asm .c .lo .log .o .obj .test .test$(EXEEXT) .trs
Packit 5c3484
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../mpn/Makeasm.am $(am__configure_deps)
Packit 5c3484
	@for dep in $?; do \
Packit 5c3484
	  case '$(am__configure_deps)' in \
Packit 5c3484
	    *$$dep*) \
Packit 5c3484
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
Packit 5c3484
	        && { if test -f $@; then exit 0; else break; fi; }; \
Packit 5c3484
	      exit 1;; \
Packit 5c3484
	  esac; \
Packit 5c3484
	done; \
Packit 5c3484
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu --ignore-deps tests/Makefile'; \
Packit 5c3484
	$(am__cd) $(top_srcdir) && \
Packit 5c3484
	  $(AUTOMAKE) --gnu --ignore-deps tests/Makefile
Packit 5c3484
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Packit 5c3484
	@case '$?' in \
Packit 5c3484
	  *config.status*) \
Packit 5c3484
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
Packit 5c3484
	  *) \
Packit 5c3484
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
Packit 5c3484
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
Packit 5c3484
	esac;
Packit 5c3484
$(srcdir)/../mpn/Makeasm.am $(am__empty):
Packit 5c3484
Packit 5c3484
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
Packit 5c3484
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit 5c3484
Packit 5c3484
$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
Packit 5c3484
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit 5c3484
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
Packit 5c3484
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit 5c3484
$(am__aclocal_m4_deps):
Packit 5c3484
Packit 5c3484
clean-checkLTLIBRARIES:
Packit 5c3484
	-test -z "$(check_LTLIBRARIES)" || rm -f $(check_LTLIBRARIES)
Packit 5c3484
	@list='$(check_LTLIBRARIES)'; \
Packit 5c3484
	locs=`for p in $$list; do echo $$p; done | \
Packit 5c3484
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
Packit 5c3484
	      sort -u`; \
Packit 5c3484
	test -z "$$locs" || { \
Packit 5c3484
	  echo rm -f $${locs}; \
Packit 5c3484
	  rm -f $${locs}; \
Packit 5c3484
	}
Packit 5c3484
Packit 5c3484
libtests.la: $(libtests_la_OBJECTS) $(libtests_la_DEPENDENCIES) $(EXTRA_libtests_la_DEPENDENCIES) 
Packit 5c3484
	$(AM_V_CCLD)$(LINK)  $(libtests_la_OBJECTS) $(libtests_la_LIBADD) $(LIBS)
Packit 5c3484
Packit 5c3484
clean-checkPROGRAMS:
Packit 5c3484
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
Packit 5c3484
	echo " rm -f" $$list; \
Packit 5c3484
	rm -f $$list || exit $$?; \
Packit 5c3484
	test -n "$(EXEEXT)" || exit 0; \
Packit 5c3484
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
Packit 5c3484
	echo " rm -f" $$list; \
Packit 5c3484
	rm -f $$list
Packit 5c3484
Packit 5c3484
t-bswap$(EXEEXT): $(t_bswap_OBJECTS) $(t_bswap_DEPENDENCIES) $(EXTRA_t_bswap_DEPENDENCIES) 
Packit 5c3484
	@rm -f t-bswap$(EXEEXT)
Packit 5c3484
	$(AM_V_CCLD)$(LINK) $(t_bswap_OBJECTS) $(t_bswap_LDADD) $(LIBS)
Packit 5c3484
Packit 5c3484
t-constants$(EXEEXT): $(t_constants_OBJECTS) $(t_constants_DEPENDENCIES) $(EXTRA_t_constants_DEPENDENCIES) 
Packit 5c3484
	@rm -f t-constants$(EXEEXT)
Packit 5c3484
	$(AM_V_CCLD)$(LINK) $(t_constants_OBJECTS) $(t_constants_LDADD) $(LIBS)
Packit 5c3484
Packit 5c3484
t-count_zeros$(EXEEXT): $(t_count_zeros_OBJECTS) $(t_count_zeros_DEPENDENCIES) $(EXTRA_t_count_zeros_DEPENDENCIES) 
Packit 5c3484
	@rm -f t-count_zeros$(EXEEXT)
Packit 5c3484
	$(AM_V_CCLD)$(LINK) $(t_count_zeros_OBJECTS) $(t_count_zeros_LDADD) $(LIBS)
Packit 5c3484
Packit 5c3484
t-hightomask$(EXEEXT): $(t_hightomask_OBJECTS) $(t_hightomask_DEPENDENCIES) $(EXTRA_t_hightomask_DEPENDENCIES) 
Packit 5c3484
	@rm -f t-hightomask$(EXEEXT)
Packit 5c3484
	$(AM_V_CCLD)$(LINK) $(t_hightomask_OBJECTS) $(t_hightomask_LDADD) $(LIBS)
Packit 5c3484
Packit 5c3484
t-modlinv$(EXEEXT): $(t_modlinv_OBJECTS) $(t_modlinv_DEPENDENCIES) $(EXTRA_t_modlinv_DEPENDENCIES) 
Packit 5c3484
	@rm -f t-modlinv$(EXEEXT)
Packit 5c3484
	$(AM_V_CCLD)$(LINK) $(t_modlinv_OBJECTS) $(t_modlinv_LDADD) $(LIBS)
Packit 5c3484
Packit 5c3484
t-parity$(EXEEXT): $(t_parity_OBJECTS) $(t_parity_DEPENDENCIES) $(EXTRA_t_parity_DEPENDENCIES) 
Packit 5c3484
	@rm -f t-parity$(EXEEXT)
Packit 5c3484
	$(AM_V_CCLD)$(LINK) $(t_parity_OBJECTS) $(t_parity_LDADD) $(LIBS)
Packit 5c3484
Packit 5c3484
t-popc$(EXEEXT): $(t_popc_OBJECTS) $(t_popc_DEPENDENCIES) $(EXTRA_t_popc_DEPENDENCIES) 
Packit 5c3484
	@rm -f t-popc$(EXEEXT)
Packit 5c3484
	$(AM_V_CCLD)$(LINK) $(t_popc_OBJECTS) $(t_popc_LDADD) $(LIBS)
Packit 5c3484
Packit 5c3484
t-sub$(EXEEXT): $(t_sub_OBJECTS) $(t_sub_DEPENDENCIES) $(EXTRA_t_sub_DEPENDENCIES) 
Packit 5c3484
	@rm -f t-sub$(EXEEXT)
Packit 5c3484
	$(AM_V_CCLD)$(LINK) $(t_sub_OBJECTS) $(t_sub_LDADD) $(LIBS)
Packit 5c3484
Packit 5c3484
mostlyclean-compile:
Packit 5c3484
	-rm -f *.$(OBJEXT)
Packit 5c3484
Packit 5c3484
distclean-compile:
Packit 5c3484
	-rm -f *.tab.c
Packit 5c3484
Packit 5c3484
.c.o:
Packit 5c3484
	$(AM_V_CC)$(COMPILE) -c -o $@ $<
Packit 5c3484
Packit 5c3484
.c.obj:
Packit 5c3484
	$(AM_V_CC)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
Packit 5c3484
Packit 5c3484
.c.lo:
Packit 5c3484
	$(AM_V_CC)$(LTCOMPILE) -c -o $@ $<
Packit 5c3484
Packit 5c3484
mostlyclean-libtool:
Packit 5c3484
	-rm -f *.lo
Packit 5c3484
Packit 5c3484
clean-libtool:
Packit 5c3484
	-rm -rf .libs _libs
Packit 5c3484
Packit 5c3484
# This directory's subdirectories are mostly independent; you can cd
Packit 5c3484
# into them and run 'make' without going through this Makefile.
Packit 5c3484
# To change the values of 'make' variables: instead of editing Makefiles,
Packit 5c3484
# (1) if the variable is set in 'config.status', edit 'config.status'
Packit 5c3484
#     (which will cause the Makefiles to be regenerated when you run 'make');
Packit 5c3484
# (2) otherwise, pass the desired values on the 'make' command line.
Packit 5c3484
$(am__recursive_targets):
Packit 5c3484
	@fail=; \
Packit 5c3484
	if $(am__make_keepgoing); then \
Packit 5c3484
	  failcom='fail=yes'; \
Packit 5c3484
	else \
Packit 5c3484
	  failcom='exit 1'; \
Packit 5c3484
	fi; \
Packit 5c3484
	dot_seen=no; \
Packit 5c3484
	target=`echo $@ | sed s/-recursive//`; \
Packit 5c3484
	case "$@" in \
Packit 5c3484
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
Packit 5c3484
	  *) list='$(SUBDIRS)' ;; \
Packit 5c3484
	esac; \
Packit 5c3484
	for subdir in $$list; do \
Packit 5c3484
	  echo "Making $$target in $$subdir"; \
Packit 5c3484
	  if test "$$subdir" = "."; then \
Packit 5c3484
	    dot_seen=yes; \
Packit 5c3484
	    local_target="$$target-am"; \
Packit 5c3484
	  else \
Packit 5c3484
	    local_target="$$target"; \
Packit 5c3484
	  fi; \
Packit 5c3484
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
Packit 5c3484
	  || eval $$failcom; \
Packit 5c3484
	done; \
Packit 5c3484
	if test "$$dot_seen" = "no"; then \
Packit 5c3484
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
Packit 5c3484
	fi; test -z "$$fail"
Packit 5c3484
Packit 5c3484
ID: $(am__tagged_files)
Packit 5c3484
	$(am__define_uniq_tagged_files); mkid -fID $$unique
Packit 5c3484
tags: tags-recursive
Packit 5c3484
TAGS: tags
Packit 5c3484
Packit 5c3484
tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
Packit 5c3484
	set x; \
Packit 5c3484
	here=`pwd`; \
Packit 5c3484
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
Packit 5c3484
	  include_option=--etags-include; \
Packit 5c3484
	  empty_fix=.; \
Packit 5c3484
	else \
Packit 5c3484
	  include_option=--include; \
Packit 5c3484
	  empty_fix=; \
Packit 5c3484
	fi; \
Packit 5c3484
	list='$(SUBDIRS)'; for subdir in $$list; do \
Packit 5c3484
	  if test "$$subdir" = .; then :; else \
Packit 5c3484
	    test ! -f $$subdir/TAGS || \
Packit 5c3484
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
Packit 5c3484
	  fi; \
Packit 5c3484
	done; \
Packit 5c3484
	$(am__define_uniq_tagged_files); \
Packit 5c3484
	shift; \
Packit 5c3484
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
Packit 5c3484
	  test -n "$$unique" || unique=$$empty_fix; \
Packit 5c3484
	  if test $$# -gt 0; then \
Packit 5c3484
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
Packit 5c3484
	      "$$@" $$unique; \
Packit 5c3484
	  else \
Packit 5c3484
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
Packit 5c3484
	      $$unique; \
Packit 5c3484
	  fi; \
Packit 5c3484
	fi
Packit 5c3484
ctags: ctags-recursive
Packit 5c3484
Packit 5c3484
CTAGS: ctags
Packit 5c3484
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
Packit 5c3484
	$(am__define_uniq_tagged_files); \
Packit 5c3484
	test -z "$(CTAGS_ARGS)$$unique" \
Packit 5c3484
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
Packit 5c3484
	     $$unique
Packit 5c3484
Packit 5c3484
GTAGS:
Packit 5c3484
	here=`$(am__cd) $(top_builddir) && pwd` \
Packit 5c3484
	  && $(am__cd) $(top_srcdir) \
Packit 5c3484
	  && gtags -i $(GTAGS_ARGS) "$$here"
Packit 5c3484
cscopelist: cscopelist-recursive
Packit 5c3484
Packit 5c3484
cscopelist-am: $(am__tagged_files)
Packit 5c3484
	list='$(am__tagged_files)'; \
Packit 5c3484
	case "$(srcdir)" in \
Packit 5c3484
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
Packit 5c3484
	  *) sdir=$(subdir)/$(srcdir) ;; \
Packit 5c3484
	esac; \
Packit 5c3484
	for i in $$list; do \
Packit 5c3484
	  if test -f "$$i"; then \
Packit 5c3484
	    echo "$(subdir)/$$i"; \
Packit 5c3484
	  else \
Packit 5c3484
	    echo "$$sdir/$$i"; \
Packit 5c3484
	  fi; \
Packit 5c3484
	done >> $(top_builddir)/cscope.files
Packit 5c3484
Packit 5c3484
distclean-tags:
Packit 5c3484
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
Packit 5c3484
Packit 5c3484
# Recover from deleted '.trs' file; this should ensure that
Packit 5c3484
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
Packit 5c3484
# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
Packit 5c3484
# to avoid problems with "make -n".
Packit 5c3484
.log.trs:
Packit 5c3484
	rm -f $< $@
Packit 5c3484
	$(MAKE) $(AM_MAKEFLAGS) $<
Packit 5c3484
Packit 5c3484
# Leading 'am--fnord' is there to ensure the list of targets does not
Packit 5c3484
# expand to empty, as could happen e.g. with make check TESTS=''.
Packit 5c3484
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
Packit 5c3484
am--force-recheck:
Packit 5c3484
	@:
Packit 5c3484
Packit 5c3484
$(TEST_SUITE_LOG): $(TEST_LOGS)
Packit 5c3484
	@$(am__set_TESTS_bases); \
Packit 5c3484
	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
Packit 5c3484
	redo_bases=`for i in $$bases; do \
Packit 5c3484
	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
Packit 5c3484
	            done`; \
Packit 5c3484
	if test -n "$$redo_bases"; then \
Packit 5c3484
	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
Packit 5c3484
	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
Packit 5c3484
	  if $(am__make_dryrun); then :; else \
Packit 5c3484
	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
Packit 5c3484
	  fi; \
Packit 5c3484
	fi; \
Packit 5c3484
	if test -n "$$am__remaking_logs"; then \
Packit 5c3484
	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
Packit 5c3484
	       "recursion detected" >&2; \
Packit 5c3484
	elif test -n "$$redo_logs"; then \
Packit 5c3484
	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
Packit 5c3484
	fi; \
Packit 5c3484
	if $(am__make_dryrun); then :; else \
Packit 5c3484
	  st=0;  \
Packit 5c3484
	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
Packit 5c3484
	  for i in $$redo_bases; do \
Packit 5c3484
	    test -f $$i.trs && test -r $$i.trs \
Packit 5c3484
	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
Packit 5c3484
	    test -f $$i.log && test -r $$i.log \
Packit 5c3484
	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
Packit 5c3484
	  done; \
Packit 5c3484
	  test $$st -eq 0 || exit 1; \
Packit 5c3484
	fi
Packit 5c3484
	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
Packit 5c3484
	ws='[ 	]'; \
Packit 5c3484
	results=`for b in $$bases; do echo $$b.trs; done`; \
Packit 5c3484
	test -n "$$results" || results=/dev/null; \
Packit 5c3484
	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
Packit 5c3484
	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
Packit 5c3484
	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
Packit 5c3484
	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
Packit 5c3484
	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
Packit 5c3484
	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
Packit 5c3484
	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
Packit 5c3484
	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
Packit 5c3484
	  success=true; \
Packit 5c3484
	else \
Packit 5c3484
	  success=false; \
Packit 5c3484
	fi; \
Packit 5c3484
	br='==================='; br=$$br$$br$$br$$br; \
Packit 5c3484
	result_count () \
Packit 5c3484
	{ \
Packit 5c3484
	    if test x"$$1" = x"--maybe-color"; then \
Packit 5c3484
	      maybe_colorize=yes; \
Packit 5c3484
	    elif test x"$$1" = x"--no-color"; then \
Packit 5c3484
	      maybe_colorize=no; \
Packit 5c3484
	    else \
Packit 5c3484
	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
Packit 5c3484
	    fi; \
Packit 5c3484
	    shift; \
Packit 5c3484
	    desc=$$1 count=$$2; \
Packit 5c3484
	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
Packit 5c3484
	      color_start=$$3 color_end=$$std; \
Packit 5c3484
	    else \
Packit 5c3484
	      color_start= color_end=; \
Packit 5c3484
	    fi; \
Packit 5c3484
	    echo "$${color_start}# $$desc $$count$${color_end}"; \
Packit 5c3484
	}; \
Packit 5c3484
	create_testsuite_report () \
Packit 5c3484
	{ \
Packit 5c3484
	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
Packit 5c3484
	  result_count $$1 "PASS: " $$pass  "$$grn"; \
Packit 5c3484
	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
Packit 5c3484
	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
Packit 5c3484
	  result_count $$1 "FAIL: " $$fail  "$$red"; \
Packit 5c3484
	  result_count $$1 "XPASS:" $$xpass "$$red"; \
Packit 5c3484
	  result_count $$1 "ERROR:" $$error "$$mgn"; \
Packit 5c3484
	}; \
Packit 5c3484
	{								\
Packit 5c3484
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
Packit 5c3484
	    $(am__rst_title);						\
Packit 5c3484
	  create_testsuite_report --no-color;				\
Packit 5c3484
	  echo;								\
Packit 5c3484
	  echo ".. contents:: :depth: 2";				\
Packit 5c3484
	  echo;								\
Packit 5c3484
	  for b in $$bases; do echo $$b; done				\
Packit 5c3484
	    | $(am__create_global_log);					\
Packit 5c3484
	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
Packit 5c3484
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
Packit 5c3484
	if $$success; then						\
Packit 5c3484
	  col="$$grn";							\
Packit 5c3484
	 else								\
Packit 5c3484
	  col="$$red";							\
Packit 5c3484
	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
Packit 5c3484
	fi;								\
Packit 5c3484
	echo "$${col}$$br$${std}"; 					\
Packit 5c3484
	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
Packit 5c3484
	echo "$${col}$$br$${std}"; 					\
Packit 5c3484
	create_testsuite_report --maybe-color;				\
Packit 5c3484
	echo "$$col$$br$$std";						\
Packit 5c3484
	if $$success; then :; else					\
Packit 5c3484
	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
Packit 5c3484
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
Packit 5c3484
	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
Packit 5c3484
	  fi;								\
Packit 5c3484
	  echo "$$col$$br$$std";					\
Packit 5c3484
	fi;								\
Packit 5c3484
	$$success || exit 1
Packit 5c3484
Packit 5c3484
check-TESTS:
Packit 5c3484
	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
Packit 5c3484
	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
Packit 5c3484
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit 5c3484
	@set +e; $(am__set_TESTS_bases); \
Packit 5c3484
	log_list=`for i in $$bases; do echo $$i.log; done`; \
Packit 5c3484
	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
Packit 5c3484
	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
Packit 5c3484
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
Packit 5c3484
	exit $$?;
Packit 5c3484
recheck: all $(check_LTLIBRARIES) $(check_PROGRAMS)
Packit 5c3484
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit 5c3484
	@set +e; $(am__set_TESTS_bases); \
Packit 5c3484
	bases=`for i in $$bases; do echo $$i; done \
Packit 5c3484
	         | $(am__list_recheck_tests)` || exit 1; \
Packit 5c3484
	log_list=`for i in $$bases; do echo $$i.log; done`; \
Packit 5c3484
	log_list=`echo $$log_list`; \
Packit 5c3484
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
Packit 5c3484
	        am__force_recheck=am--force-recheck \
Packit 5c3484
	        TEST_LOGS="$$log_list"; \
Packit 5c3484
	exit $$?
Packit 5c3484
t-bswap.log: t-bswap$(EXEEXT)
Packit 5c3484
	@p='t-bswap$(EXEEXT)'; \
Packit 5c3484
	b='t-bswap'; \
Packit 5c3484
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 5c3484
	--log-file $$b.log --trs-file $$b.trs \
Packit 5c3484
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 5c3484
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 5c3484
t-constants.log: t-constants$(EXEEXT)
Packit 5c3484
	@p='t-constants$(EXEEXT)'; \
Packit 5c3484
	b='t-constants'; \
Packit 5c3484
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 5c3484
	--log-file $$b.log --trs-file $$b.trs \
Packit 5c3484
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 5c3484
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 5c3484
t-count_zeros.log: t-count_zeros$(EXEEXT)
Packit 5c3484
	@p='t-count_zeros$(EXEEXT)'; \
Packit 5c3484
	b='t-count_zeros'; \
Packit 5c3484
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 5c3484
	--log-file $$b.log --trs-file $$b.trs \
Packit 5c3484
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 5c3484
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 5c3484
t-hightomask.log: t-hightomask$(EXEEXT)
Packit 5c3484
	@p='t-hightomask$(EXEEXT)'; \
Packit 5c3484
	b='t-hightomask'; \
Packit 5c3484
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 5c3484
	--log-file $$b.log --trs-file $$b.trs \
Packit 5c3484
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 5c3484
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 5c3484
t-modlinv.log: t-modlinv$(EXEEXT)
Packit 5c3484
	@p='t-modlinv$(EXEEXT)'; \
Packit 5c3484
	b='t-modlinv'; \
Packit 5c3484
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 5c3484
	--log-file $$b.log --trs-file $$b.trs \
Packit 5c3484
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 5c3484
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 5c3484
t-popc.log: t-popc$(EXEEXT)
Packit 5c3484
	@p='t-popc$(EXEEXT)'; \
Packit 5c3484
	b='t-popc'; \
Packit 5c3484
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 5c3484
	--log-file $$b.log --trs-file $$b.trs \
Packit 5c3484
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 5c3484
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 5c3484
t-parity.log: t-parity$(EXEEXT)
Packit 5c3484
	@p='t-parity$(EXEEXT)'; \
Packit 5c3484
	b='t-parity'; \
Packit 5c3484
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 5c3484
	--log-file $$b.log --trs-file $$b.trs \
Packit 5c3484
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 5c3484
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 5c3484
t-sub.log: t-sub$(EXEEXT)
Packit 5c3484
	@p='t-sub$(EXEEXT)'; \
Packit 5c3484
	b='t-sub'; \
Packit 5c3484
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 5c3484
	--log-file $$b.log --trs-file $$b.trs \
Packit 5c3484
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 5c3484
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 5c3484
.test.log:
Packit 5c3484
	@p='$<'; \
Packit 5c3484
	$(am__set_b); \
Packit 5c3484
	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
Packit 5c3484
	--log-file $$b.log --trs-file $$b.trs \
Packit 5c3484
	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
Packit 5c3484
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 5c3484
@am__EXEEXT_TRUE@.test$(EXEEXT).log:
Packit 5c3484
@am__EXEEXT_TRUE@	@p='$<'; \
Packit 5c3484
@am__EXEEXT_TRUE@	$(am__set_b); \
Packit 5c3484
@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
Packit 5c3484
@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
Packit 5c3484
@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
Packit 5c3484
@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 5c3484
Packit 5c3484
distdir: $(DISTFILES)
Packit 5c3484
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit 5c3484
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit 5c3484
	list='$(DISTFILES)'; \
Packit 5c3484
	  dist_files=`for file in $$list; do echo $$file; done | \
Packit 5c3484
	  sed -e "s|^$$srcdirstrip/||;t" \
Packit 5c3484
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
Packit 5c3484
	case $$dist_files in \
Packit 5c3484
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
Packit 5c3484
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
Packit 5c3484
			   sort -u` ;; \
Packit 5c3484
	esac; \
Packit 5c3484
	for file in $$dist_files; do \
Packit 5c3484
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
Packit 5c3484
	  if test -d $$d/$$file; then \
Packit 5c3484
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
Packit 5c3484
	    if test -d "$(distdir)/$$file"; then \
Packit 5c3484
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit 5c3484
	    fi; \
Packit 5c3484
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
Packit 5c3484
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
Packit 5c3484
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit 5c3484
	    fi; \
Packit 5c3484
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
Packit 5c3484
	  else \
Packit 5c3484
	    test -f "$(distdir)/$$file" \
Packit 5c3484
	    || cp -p $$d/$$file "$(distdir)/$$file" \
Packit 5c3484
	    || exit 1; \
Packit 5c3484
	  fi; \
Packit 5c3484
	done
Packit 5c3484
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
Packit 5c3484
	  if test "$$subdir" = .; then :; else \
Packit 5c3484
	    $(am__make_dryrun) \
Packit 5c3484
	      || test -d "$(distdir)/$$subdir" \
Packit 5c3484
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
Packit 5c3484
	      || exit 1; \
Packit 5c3484
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
Packit 5c3484
	    $(am__relativize); \
Packit 5c3484
	    new_distdir=$$reldir; \
Packit 5c3484
	    dir1=$$subdir; dir2="$(top_distdir)"; \
Packit 5c3484
	    $(am__relativize); \
Packit 5c3484
	    new_top_distdir=$$reldir; \
Packit 5c3484
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
Packit 5c3484
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
Packit 5c3484
	    ($(am__cd) $$subdir && \
Packit 5c3484
	      $(MAKE) $(AM_MAKEFLAGS) \
Packit 5c3484
	        top_distdir="$$new_top_distdir" \
Packit 5c3484
	        distdir="$$new_distdir" \
Packit 5c3484
		am__remove_distdir=: \
Packit 5c3484
		am__skip_length_check=: \
Packit 5c3484
		am__skip_mode_fix=: \
Packit 5c3484
	        distdir) \
Packit 5c3484
	      || exit 1; \
Packit 5c3484
	  fi; \
Packit 5c3484
	done
Packit 5c3484
check-am: all-am
Packit 5c3484
	$(MAKE) $(AM_MAKEFLAGS) $(check_LTLIBRARIES) $(check_PROGRAMS)
Packit 5c3484
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
Packit 5c3484
check: check-recursive
Packit 5c3484
all-am: Makefile
Packit 5c3484
installdirs: installdirs-recursive
Packit 5c3484
installdirs-am:
Packit 5c3484
install: install-recursive
Packit 5c3484
install-exec: install-exec-recursive
Packit 5c3484
install-data: install-data-recursive
Packit 5c3484
uninstall: uninstall-recursive
Packit 5c3484
Packit 5c3484
install-am: all-am
Packit 5c3484
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
Packit 5c3484
Packit 5c3484
installcheck: installcheck-recursive
Packit 5c3484
install-strip:
Packit 5c3484
	if test -z '$(STRIP)'; then \
Packit 5c3484
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit 5c3484
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit 5c3484
	      install; \
Packit 5c3484
	else \
Packit 5c3484
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit 5c3484
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit 5c3484
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
Packit 5c3484
	fi
Packit 5c3484
mostlyclean-generic:
Packit 5c3484
	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
Packit 5c3484
	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
Packit 5c3484
	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit 5c3484
Packit 5c3484
clean-generic:
Packit 5c3484
Packit 5c3484
distclean-generic:
Packit 5c3484
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
Packit 5c3484
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
Packit 5c3484
Packit 5c3484
maintainer-clean-generic:
Packit 5c3484
	@echo "This command is intended for maintainers to use"
Packit 5c3484
	@echo "it deletes files that may require special tools to rebuild."
Packit 5c3484
clean: clean-recursive
Packit 5c3484
Packit 5c3484
clean-am: clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
Packit 5c3484
	clean-libtool mostlyclean-am
Packit 5c3484
Packit 5c3484
distclean: distclean-recursive
Packit 5c3484
	-rm -f Makefile
Packit 5c3484
distclean-am: clean-am distclean-compile distclean-generic \
Packit 5c3484
	distclean-tags
Packit 5c3484
Packit 5c3484
dvi: dvi-recursive
Packit 5c3484
Packit 5c3484
dvi-am:
Packit 5c3484
Packit 5c3484
html: html-recursive
Packit 5c3484
Packit 5c3484
html-am:
Packit 5c3484
Packit 5c3484
info: info-recursive
Packit 5c3484
Packit 5c3484
info-am:
Packit 5c3484
Packit 5c3484
install-data-am:
Packit 5c3484
Packit 5c3484
install-dvi: install-dvi-recursive
Packit 5c3484
Packit 5c3484
install-dvi-am:
Packit 5c3484
Packit 5c3484
install-exec-am:
Packit 5c3484
Packit 5c3484
install-html: install-html-recursive
Packit 5c3484
Packit 5c3484
install-html-am:
Packit 5c3484
Packit 5c3484
install-info: install-info-recursive
Packit 5c3484
Packit 5c3484
install-info-am:
Packit 5c3484
Packit 5c3484
install-man:
Packit 5c3484
Packit 5c3484
install-pdf: install-pdf-recursive
Packit 5c3484
Packit 5c3484
install-pdf-am:
Packit 5c3484
Packit 5c3484
install-ps: install-ps-recursive
Packit 5c3484
Packit 5c3484
install-ps-am:
Packit 5c3484
Packit 5c3484
installcheck-am:
Packit 5c3484
Packit 5c3484
maintainer-clean: maintainer-clean-recursive
Packit 5c3484
	-rm -f Makefile
Packit 5c3484
maintainer-clean-am: distclean-am maintainer-clean-generic
Packit 5c3484
Packit 5c3484
mostlyclean: mostlyclean-recursive
Packit 5c3484
Packit 5c3484
mostlyclean-am: mostlyclean-compile mostlyclean-generic \
Packit 5c3484
	mostlyclean-libtool
Packit 5c3484
Packit 5c3484
pdf: pdf-recursive
Packit 5c3484
Packit 5c3484
pdf-am:
Packit 5c3484
Packit 5c3484
ps: ps-recursive
Packit 5c3484
Packit 5c3484
ps-am:
Packit 5c3484
Packit 5c3484
uninstall-am:
Packit 5c3484
Packit 5c3484
.MAKE: $(am__recursive_targets) check-am install-am install-strip
Packit 5c3484
Packit 5c3484
.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
Packit 5c3484
	check-TESTS check-am clean clean-checkLTLIBRARIES \
Packit 5c3484
	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
Packit 5c3484
	ctags ctags-am distclean distclean-compile distclean-generic \
Packit 5c3484
	distclean-libtool distclean-tags distdir dvi dvi-am html \
Packit 5c3484
	html-am info info-am install install-am install-data \
Packit 5c3484
	install-data-am install-dvi install-dvi-am install-exec \
Packit 5c3484
	install-exec-am install-html install-html-am install-info \
Packit 5c3484
	install-info-am install-man install-pdf install-pdf-am \
Packit 5c3484
	install-ps install-ps-am install-strip installcheck \
Packit 5c3484
	installcheck-am installdirs installdirs-am maintainer-clean \
Packit 5c3484
	maintainer-clean-generic mostlyclean mostlyclean-compile \
Packit 5c3484
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
Packit 5c3484
	recheck tags tags-am uninstall uninstall-am
Packit 5c3484
Packit 5c3484
.PRECIOUS: Makefile
Packit 5c3484
Packit 5c3484
Packit 5c3484
# .s assembler, no preprocessing.
Packit 5c3484
#
Packit 5c3484
.s.o:
Packit 5c3484
	$(CCAS) $(COMPILE_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$<
Packit 5c3484
.s.obj:
Packit 5c3484
	$(CCAS) $(COMPILE_FLAGS) `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
Packit 5c3484
.s.lo:
Packit 5c3484
	$(LIBTOOL) --mode=compile --tag=CC $(CCAS) $(COMPILE_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$<
Packit 5c3484
Packit 5c3484
# .S assembler, preprocessed with cpp.
Packit 5c3484
#
Packit 5c3484
# It's necessary to run $(CPP) separately, since it seems not all compilers
Packit 5c3484
# recognise .S files, in particular "cc" on HP-UX 10 and 11 doesn't (and
Packit 5c3484
# will silently do nothing if given a .S).
Packit 5c3484
#
Packit 5c3484
# For .lo we need a helper script, as described below for .asm.lo.
Packit 5c3484
#
Packit 5c3484
.S.o:
Packit 5c3484
	$(CPP) $(PREPROCESS_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$< | grep -v '^#' >tmp-$*.s
Packit 5c3484
	$(CCAS) $(COMPILE_FLAGS) tmp-$*.s -o $@
Packit 5c3484
	$(RM_TMP) tmp-$*.s
Packit 5c3484
.S.obj:
Packit 5c3484
	$(CPP) $(PREPROCESS_FLAGS) `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi` | grep -v '^#' >tmp-$*.s
Packit 5c3484
	$(CCAS) $(COMPILE_FLAGS) tmp-$*.s -o $@
Packit 5c3484
	$(RM_TMP) tmp-$*.s
Packit 5c3484
.S.lo:
Packit 5c3484
	$(LIBTOOL) --mode=compile --tag=CC $(top_srcdir)/mpn/cpp-ccas --cpp="$(CPP) $(PREPROCESS_FLAGS)" $(CCAS) $(COMPILE_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$<
Packit 5c3484
Packit 5c3484
# .asm assembler, preprocessed with m4.
Packit 5c3484
#
Packit 5c3484
# .o and .obj are non-PIC and just need m4 followed by a compile.
Packit 5c3484
#
Packit 5c3484
# .lo is a bit tricky.  Libtool (as of version 1.5) has foo.lo as a little
Packit 5c3484
# text file, and .libs/foo.o and foo.o as the PIC and non-PIC objects,
Packit 5c3484
# respectively.  It'd be asking for lots of trouble to try to create foo.lo
Packit 5c3484
# ourselves, so instead arrange to invoke libtool like a --mode=compile, but
Packit 5c3484
# with a special m4-ccas script which first m4 preprocesses, then compiles.
Packit 5c3484
# --tag=CC is necessary since foo.asm is otherwise unknown to libtool.
Packit 5c3484
#
Packit 5c3484
# Libtool adds -DPIC when building a shared object and the .asm files look
Packit 5c3484
# for that.  But it should be noted that the other PIC flags are on occasion
Packit 5c3484
# important too, in particular FreeBSD 2.2.8 gas 1.92.3 requires -k before
Packit 5c3484
# it accepts PIC constructs like @GOT, and gcc adds that flag only under
Packit 5c3484
# -fPIC.  (Later versions of gas are happy to accept PIC stuff any time.)
Packit 5c3484
#
Packit 5c3484
.asm.o:
Packit 5c3484
	$(M4) -DOPERATION_$* `test -f '$<' || echo '$(srcdir)/'`$< >tmp-$*.s
Packit 5c3484
	$(CCAS) $(COMPILE_FLAGS) tmp-$*.s -o $@
Packit 5c3484
	$(RM_TMP) tmp-$*.s
Packit 5c3484
.asm.obj:
Packit 5c3484
	$(M4) -DOPERATION_$* `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi` >tmp-$*.s
Packit 5c3484
	$(CCAS) $(COMPILE_FLAGS) tmp-$*.s -o $@
Packit 5c3484
	$(RM_TMP) tmp-$*.s
Packit 5c3484
.asm.lo:
Packit 5c3484
	$(LIBTOOL) --mode=compile --tag=CC $(top_srcdir)/mpn/m4-ccas --m4="$(M4)" $(CCAS) $(COMPILE_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$<
Packit 5c3484
Packit 5c3484
# Tell versions [3.59,3.63) of GNU make to not export all variables.
Packit 5c3484
# Otherwise a system limit (for SysV at least) may be exceeded.
Packit 5c3484
.NOEXPORT: